------------------------------------------------------------------------------
--                              Ada Web Server                              --
--                                                                          --
--                            Copyright (C) 2000                            --
--                               Pascal Obry                                --
--                                                                          --
--  This library is free software; you can redistribute it and/or modify    --
--  it under the terms of the GNU General Public License as published by    --
--  the Free Software Foundation; either version 2 of the License, or (at   --
--  your option) any later version.                                         --
--                                                                          --
--  This library is distributed in the hope that it will be useful, but     --
--  WITHOUT ANY WARRANTY; without even the implied warranty of              --
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       --
--  General Public License for more details.                                --
--                                                                          --
--  You should have received a copy of the GNU General Public License       --
--  along with this library; if not, write to the Free Software Foundation, --
--  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.          --
--                                                                          --
------------------------------------------------------------------------------

--  $Id$

with Ada.Strings.Unbounded;

package AWS.Status is

   type Data is private;

   procedure Set_Host (D : in out Data; Host : in String);
   function Host (D : in Data) return String;

   procedure Set_Get (D : in out Data; Ressource : in String);
   function Get (D : in Data) return String;

private

   pragma Inline (Set_Host);
   pragma Inline (Host);
   pragma Inline (Set_Get);
   pragma Inline (Get);

   use Ada.Strings.Unbounded;

   type Data is record
      Host : Unbounded_String;
      Get  : Unbounded_String;
   end record;

end AWS.Status;
